## network-manager 1.54.2

=== debian/changelog ===
network-manager (1.54.2-2ubuntu2) resolute; urgency=medium

  * d/p/netplan/: call netplan with --networkmanager-only option (LP: #2133724)
    This is to avoid re-generating systemd-networkd configuration with invalid
    permissions.
  * d/control: Bump dependency to Netplan v1.2

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 16 Dec 2025 13:29:18 +0100

network-manager (1.54.2-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2130120):
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
    - d/p/netplan: Add libnetplan backend integration patch
    - Fix FTBFS on i386 (LP #2098902)
      + d/p/n/keyfile-update-test-for-expected-netplan-output.patch
    - d/t/control: Add additional autopkgtests.
      + d/t/{base_wifi.py,nm-wifi.py}
      + d/t/nm-netplan.py
      + d/t/wpa-dhcp.py
      + d/t/{Makefile,fake-rfkill.c,killswitches-no-urfkill,urfkill-integration}
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)
      + also add yaml dependency, needed for netplan
    - debian/control:
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - d/control: Add network-manager-config-connectivity-ubuntu package
    - debian/rules:
      + Run build tests
      + Set -Db_lto=true. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.preinst: backup previous configuration automatically
    - d/network-manager.postinst: Trigger Netplan migration on install/upgrade
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - d/{source_network-manager.py,network-manager.install,
      network-manager.links}: Add apport hook
    - Update Vcs links to point to Ubuntu branch
    - d/p/lp2116940-wifi-fix-6ghz-channels.patch
      + Fix nmcli that could not report 6ghz wifi channels correctly
    - d/p/lp2127925-fix-autoreconnect-blocker.patch
      + unblock autoreconnect when a previously failed connection is successful
    - d/10-default-firewall-use-iptables.conf
      + Use iptables instead of nftables as firewall backend, to match UFW
    - d/control: Build dep on gir1.2-girepository-2.0-dev, fixes FTBFS
  * Dropped changes:
    - d/p/lp2121546-fix-encoding-in-tests.patch [not needed anymore]
    - d/t/prep-testbed.sh [not needed anymore]
  * New changes:
    - d/p/core-add-handlers-for-*.patch
      + Show incorrect password re-entry prompt for WPA3 networks (LP: #2122458)
    - d/rules: Keep ofono disabled

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Thu, 04 Dec 2025 17:25:17 -0600

network-manager (1.54.2-2) unstable; urgency=medium

  * Fix dhcpcd build option.
    The intended build option "false" did not actually disable it as
    expected, so use "no" instead.
    Thanks to John Scott (Closes: #1121101)

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Nov 2025 18:31:01 +0100

network-manager (1.54.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.54.2
  * Rebase patches
  * Update symbols file for libnm0

  [ Jeremy Bícha ]
  * Remove unnecessary Build-Depends: gir1.2-girepository-2.0.
    NetworkManager does not explicitly import GIRepository since 1.54.0.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Nov 2025 21:46:05 +0100

network-manager (1.52.0-1ubuntu6) resolute; urgency=medium

  * d/control
    - Build dep on gir1.2-girepository-2.0-dev, fixes FTBFS

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 18 Nov 2025 09:47:14 -0500

network-manager (1.52.0-1ubuntu5) resolute; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500

network-manager (1.52.0-1ubuntu4) resolute; urgency=medium

  * d/p/lp2127925-fix-autoreconnect-blocker.patch: unblock autoreconnect when a previously failed
    connection is now successful (LP: #2127925)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Thu, 16 Oct 2025 09:10:11 +0200

network-manager (1.52.0-1ubuntu3) questing; urgency=medium

  * Fix the .expected file in build-time tests, because its encoding
    became wrong on >= 25.10 (LP: #2121546)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Wed, 27 Aug 2025 19:18:34 +0200

network-manager (1.52.0-1ubuntu2) questing; urgency=medium

  * fix nmcli that could not report 6ghz wifi channels correctly (LP: #2116940)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 15 Jul 2025 15:07:58 +0200

network-manager (1.52.0-1ubuntu1) plucky; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian. Remaining changes:
    - d/{control,rules,patches}: Prepare libnetplan build (non i386)

