=== debian/tests/control ===
Features: test-name=nm-eth.py
Tests-Directory: debian/tests
Test-Command: python3 debian/tests/nm-eth.py
Depends: python3, udev, dnsmasq-base, gir1.2-nm-1.0, network-manager, python3-dbusmock
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed

Features: test-name=wpa-dhcp.py
Tests-Directory: debian/tests
Test-Command: (modprobe cfg80211 || exit 77) && (modprobe mac80211_hwsim || exit 77) && rmmod mac80211_hwsim && python3 debian/tests/wpa-dhcp.py
Depends: python3, hostapd, dnsmasq-base, gir1.2-nm-1.0, wpasupplicant, dhcpcd-base, iw
Restrictions: needs-root allow-stderr isolation-container skippable

Features: test-name=nm-wifi.py
Tests-Directory: debian/tests
Test-Command: (modprobe cfg80211 || exit 77) && (modprobe mac80211_hwsim || exit 77) && rmmod mac80211_hwsim && python3 debian/tests/nm-wifi.py
Depends: python3, dnsmasq-base, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr, wpasupplicant, easy-rsa
Restrictions: needs-root isolation-container skippable

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill, urfkill, polkitd
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm-netplan.py
Depends: python3, gir1.2-nm-1.0, network-manager, netplan.io, openvpn, easy-rsa, network-manager-openvpn, dnsmasq-base, hostapd, wpasupplicant, ubuntu-settings, python3-gi
Restrictions: needs-root allow-stderr isolation-container
