## network-manager 1.54.3

=== debian/changelog ===
network-manager (1.54.3-2) unstable; urgency=medium

  [ Max Nikulin ]
  * Add nftables to as a preferred alternative to iptables

  [ Michael Biebl ]
  * Do not ship initrd specific services.
    Those systemd services are meant for the initrd but are not actually
    used by dracut (yet). They conflict with the main services and can lead
    to potentially confusing error messages. So remove them for now.
    (Closes: #1117732)
  * Drop redundant Priority and Rules-Requires-Root field
  * Bump Standards-Version to 4.7.3
  * Drop no longer needed migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Feb 2026 12:02:29 +0100

network-manager (1.54.3-1) unstable; urgency=medium

  * New upstream version 1.54.3
    - Avoid that non-admin users can use other users'
      certificates. (CVE-2025-9615)
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Dec 2025 14:36:27 +0100

network-manager (1.54.2-3) unstable; urgency=medium

  * Drop Build-Depends on polkitd.
    The polkit.its gettext extension, which is required during build, was
    moved from polkitd to libpolkit-gobject-1-dev.
    There is already a Build-Depends on the latter, so polkitd can be
    dropped safely.
  * Replace dbus Build-Depends with dbus-daemon.
    The test-suite that is run as part of dh_auto_test only needs
    dbus-run-session, which is part of the dbus-daemon package.
    Replace dbus with dbus-daemon, as it has a smaller dependency tree and
    doesn't interfere with alternatives like dbus-broker. (Closes: #1122686)

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Dec 2025 13:45:04 +0100
