=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: network-manager
 Section: net
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -20,8 +18,6 @@
                libsystemd-dev (>= 209),
                libudev-dev (>= 175),
                gir1.2-gio-2.0-dev,
-               gir1.2-girepository-2.0,
-               gir1.2-girepository-2.0-dev,
                gobject-introspection,
                python3-gi,
                libpsl-dev (>= 0.1),
@@ -39,21 +35,14 @@
                libpolkit-gobject-1-dev,
                mobile-broadband-provider-info,
                valac,
-               polkitd,
                libpolkit-gobject-1-dev,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
-               libyaml-dev [!i386],
-               libnetplan-dev (>= 1.2~) [!i386],
-               netplan.io (>= 1.2~) [!i386] <!nocheck>,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
-Vcs-Git: https://git.launchpad.net/network-manager
-Vcs-Browser: https://git.launchpad.net/network-manager
+Standards-Version: 4.7.3
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
 Homepage: https://networkmanager.dev/
 
 Package: network-manager
@@ -61,22 +50,20 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 1.2~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          adduser,
 Recommends: ppp,
             dnsmasq-base,
             modemmanager,
-            network-manager-pptp,
             wireless-regdb,
             wpasupplicant,
             libpam-systemd,
             polkitd,
             udev,
-Suggests: avahi-autoipd,
-          libteam-utils,
-          iptables,
+            network-manager-l10n,
+Suggests: libteam-utils,
+          nftables | iptables,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -89,11 +76,9 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
-    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
-  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
-    connection sharing.
+  * dnsmasq-base/nftables or iptables: Required for creating Ad-hoc connections
+    and connection sharing.
   * libteam-utils: Network Team driver allows multiple network interfaces to be
     teamed together and act like a single one. This process is called "ethernet
     bonding", "channel teaming" or "link aggregation".
@@ -190,21 +175,3 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
-
-Package: network-manager-config-connectivity-ubuntu
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         network-manager (>= ${source:Version})
-Description: NetworkManager configuration to enable connectivity checking
- This package contains a configuration file which enables NetworkManager's
- connectivity checking functionality.
- .
- NetworkManager will try to connect to an Ubuntu server to determine the
- connection status.
- .
- This is particularly useful for captive portal detection.
- .
- No user data is transmitted in the connectivity checks, but merely contacting
- the Ubuntu connectivity check servers reveals that the user is running an
- Ubuntu(-based) operating system with NetworkManager.
