=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gettext (>= 0.19.8),
                libglib2.0-dev (>= 2.42),
                ppp-dev,
-               libselinux1-dev,
+               libselinux-dev,
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
@@ -82,6 +82,14 @@
   * libteam-utils: Network Team driver allows multiple network interfaces to be
     teamed together and act like a single one. This process is called "ethernet
     bonding", "channel teaming" or "link aggregation".
+
+Package: network-manager-ovs
+Architecture: linux-any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libnm0 (= ${binary:Version}),
+Description: Open vSwitch (OVS) support for NetworkManager
+ This package adds Open vSwitch support.
 
 Package: network-manager-dev
 Section: devel
