=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 		-Difcfg_rh=false \
 		-Dnm_cloud_setup=false \
 		-Dmodify_system=false \
-		-Dovs=false \
+		-Dovs=true \
 		-Dqt=false \
 		-Debpf=false \
 		-Dnbft=false \
